Bug 2044479 (CVE-2022-22825) - CVE-2022-22825 expat: Integer overflow in lookup in xmlparse.c
Summary: CVE-2022-22825 expat: Integer overflow in lookup in xmlparse.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-22825
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2053208 2058589 2044482 2052279 2052280 2052281 2052282 2052283 2052284 2052285 2058590 2058591 2058592 2058593 2058594 2060192 2060197 2060199 2060203 2060208 2060210
Blocks: 2044492
TreeView+ depends on / blocked
 
Reported: 2022-01-24 17:00 UTC by Pedro Sampaio
Modified: 2022-07-22 06:39 UTC (History)
35 users (show)

Fixed In Version: expat 2.4.3
Doc Type: If docs needed, set a value
Doc Text:
expat (libexpat) is susceptible to a software flaw that causes process interruption. When processing a large number of prefixed XML attributes on a single tag can libexpat can terminate unexpectedly due to integer overflow. The highest threat from this vulnerability is to availability, confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2022-05-05 02:16:22 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0953 0 None None None 2022-03-16 21:53:22 UTC
Red Hat Product Errata RHBA-2022:0957 0 None None None 2022-03-17 15:58:09 UTC
Red Hat Product Errata RHBA-2022:0959 0 None None None 2022-03-17 17:17:42 UTC
Red Hat Product Errata RHBA-2022:0960 0 None None None 2022-03-17 17:34:01 UTC
Red Hat Product Errata RHBA-2022:0964 0 None None None 2022-03-17 21:26:46 UTC
Red Hat Product Errata RHBA-2022:0965 0 None None None 2022-03-17 21:56:35 UTC
Red Hat Product Errata RHBA-2022:0976 0 None None None 2022-03-21 11:35:04 UTC
Red Hat Product Errata RHBA-2022:0977 0 None None None 2022-03-21 11:36:12 UTC
Red Hat Product Errata RHBA-2022:0978 0 None None None 2022-03-21 11:36:40 UTC
Red Hat Product Errata RHBA-2022:0979 0 None None None 2022-03-21 14:36:56 UTC
Red Hat Product Errata RHBA-2022:0980 0 None None None 2022-03-21 14:44:33 UTC
Red Hat Product Errata RHBA-2022:0981 0 None None None 2022-03-21 14:42:08 UTC
Red Hat Product Errata RHBA-2022:1005 0 None None None 2022-03-22 08:41:32 UTC
Red Hat Product Errata RHBA-2022:1014 0 None None None 2022-03-22 17:10:46 UTC
Red Hat Product Errata RHBA-2022:1031 0 None None None 2022-03-23 11:12:51 UTC
Red Hat Product Errata RHBA-2022:1046 0 None None None 2022-03-24 09:35:38 UTC
Red Hat Product Errata RHBA-2022:1048 0 None None None 2022-03-24 10:42:56 UTC
Red Hat Product Errata RHBA-2022:1057 0 None None None 2022-03-24 16:13:17 UTC
Red Hat Product Errata RHBA-2022:1058 0 None None None 2022-03-24 15:32:22 UTC
Red Hat Product Errata RHBA-2022:1079 0 None None None 2022-03-28 11:32:09 UTC
Red Hat Product Errata RHBA-2022:1085 0 None None None 2022-03-28 18:10:42 UTC
Red Hat Product Errata RHBA-2022:1089 0 None None None 2022-03-29 01:11:38 UTC
Red Hat Product Errata RHBA-2022:1099 0 None Waiting on Customer frr: reference Case 02948240 2022-05-25 20:20:06 UTC
Red Hat Product Errata RHBA-2022:1100 0 None None None 2022-03-29 07:39:55 UTC
Red Hat Product Errata RHBA-2022:1101 0 None None None 2022-03-29 08:13:26 UTC
Red Hat Product Errata RHBA-2022:1117 0 None None None 2022-03-29 15:05:18 UTC
Red Hat Product Errata RHBA-2022:1118 0 None None None 2022-03-29 15:07:20 UTC
Red Hat Product Errata RHBA-2022:1119 0 None Waiting on Customer Windows systems losing static IP configuration and Secondary disks coming up offline 2022-06-02 01:18:05 UTC
Red Hat Product Errata RHBA-2022:1120 0 None None None 2022-03-29 15:11:50 UTC
Red Hat Product Errata RHBA-2022:1121 0 None None None 2022-03-29 15:10:12 UTC
Red Hat Product Errata RHBA-2022:1122 0 None None None 2022-03-29 15:17:47 UTC
Red Hat Product Errata RHBA-2022:1125 0 None None None 2022-03-29 15:36:40 UTC
Red Hat Product Errata RHBA-2022:1126 0 None None None 2022-03-29 19:10:46 UTC
Red Hat Product Errata RHBA-2022:1127 0 None None None 2022-03-29 19:11:40 UTC
Red Hat Product Errata RHBA-2022:1130 0 None None None 2022-03-29 17:45:20 UTC
Red Hat Product Errata RHBA-2022:1131 0 None None None 2022-03-29 18:13:25 UTC
Red Hat Product Errata RHBA-2022:1140 0 None None None 2022-03-30 13:35:39 UTC
Red Hat Product Errata RHBA-2022:1150 0 None None None 2022-03-31 18:41:20 UTC
Red Hat Product Errata RHBA-2022:1172 0 None None None 2022-04-04 08:24:14 UTC
Red Hat Product Errata RHBA-2022:1176 0 None None None 2022-04-04 10:45:19 UTC
Red Hat Product Errata RHBA-2022:1191 0 None None None 2022-04-05 13:28:34 UTC
Red Hat Product Errata RHBA-2022:1258 0 None None None 2022-04-06 17:10:05 UTC
Red Hat Product Errata RHBA-2022:1289 0 None None None 2022-04-11 05:59:46 UTC
Red Hat Product Errata RHBA-2022:1308 0 None None None 2022-04-11 14:50:59 UTC
Red Hat Product Errata RHBA-2022:1319 0 None None None 2022-04-12 11:31:08 UTC
Red Hat Product Errata RHBA-2022:1380 0 None None None 2022-04-18 10:57:09 UTC
Red Hat Product Errata RHBA-2022:1385 0 None None None 2022-04-18 13:53:57 UTC
Red Hat Product Errata RHBA-2022:1392 0 None None None 2022-04-19 08:56:31 UTC
Red Hat Product Errata RHBA-2022:1434 0 None None None 2022-04-20 06:53:06 UTC
Red Hat Product Errata RHBA-2022:1495 0 None None None 2022-04-21 14:02:42 UTC
Red Hat Product Errata RHBA-2022:1507 0 None None None 2022-04-21 16:14:46 UTC
Red Hat Product Errata RHBA-2022:1608 0 None None None 2022-04-27 07:56:40 UTC
Red Hat Product Errata RHBA-2022:1609 0 None None None 2022-04-27 07:16:14 UTC
Red Hat Product Errata RHBA-2022:1610 0 None None None 2022-04-27 07:17:50 UTC
Red Hat Product Errata RHBA-2022:1611 0 None None None 2022-04-27 07:18:57 UTC
Red Hat Product Errata RHBA-2022:1612 0 None None None 2022-04-27 07:20:38 UTC
Red Hat Product Errata RHBA-2022:1613 0 None None None 2022-04-27 07:21:26 UTC
Red Hat Product Errata RHBA-2022:1614 0 None None None 2022-04-27 07:23:13 UTC
Red Hat Product Errata RHBA-2022:1615 0 None None None 2022-04-27 07:23:47 UTC
Red Hat Product Errata RHBA-2022:1616 0 None None None 2022-04-27 07:27:15 UTC
Red Hat Product Errata RHSA-2022:0951 0 None None None 2022-03-16 16:16:53 UTC
Red Hat Product Errata RHSA-2022:1069 0 None None None 2022-03-28 11:49:28 UTC

Description Pedro Sampaio 2022-01-24 17:00:51 UTC
lookup in xmlparse.c in Expat (aka libexpat) before 2.4.3 has an integer overflow.

References:

https://github.com/libexpat/libexpat/pull/539
http://www.openwall.com/lists/oss-security/2022/01/17/3

Comment 1 Pedro Sampaio 2022-01-24 17:03:05 UTC
Created expat tracking bugs for this issue:

Affects: fedora-all [bug 2044482]

Comment 8 errata-xmlrpc 2022-03-16 16:16:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0951 https://access.redhat.com/errata/RHSA-2022:0951

Comment 9 errata-xmlrpc 2022-03-28 11:49:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1069 https://access.redhat.com/errata/RHSA-2022:1069

Comment 10 Product Security DevOps Team 2022-05-05 02:16:17 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-22825


Note You need to log in before you can comment on or make changes to this bug.